import { v4 as uuidv4 } from 'uuid';
import { t } from 'i18next';
import { getUniqueName } from '../../../utils/get-unique-name';
import { addValue } from '..';
export const addScene = () => (dispatch, getState) => {
    const scenes = getState(['scenes']);
    dispatch(addValue(['scenes'], {
        id: uuidv4(),
        name: getUniqueName(t('explorer.scenes.actionBar.scene.new.title'), scenes),
        actors: [],
    }));
};
